Bug 162834 - The greeter program appears to be crashing.
The greeter program appears to be crashing.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-09 22:58 EDT by Peter Cook
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Cook 2005-07-09 22:58:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After I change my desktop background's picture and then reboot I get the following error message instead of the graphical greeter:

"The greeter program appears to be crashing. I will attempt to use a different one."

I hit okay, then the standard greeter appears. If I log in and then log out the same error message appears. I also continue to get the error message even if I reboot.

I found a work around:

After changing the background's picture I do the following:

Go to Login Screen Setup
Change Greeter, Local to Standard Greeter
Log Out
Log in
Go to Login Screen Setup
Change Greeter, Local to Graphical Greeter
Log Out and notice the error message does not appear


Version-Release number of selected component (if applicable):
gdm-2.6.0.8-16

How reproducible:
Always

Steps to Reproduce:
1. Right click on desktop
2. Choose Configure Desktop
3. Choose new picture for Background
4. Hit Apply
5. Hit Okay
6. Reboot

  

Actual Results:  Error message appears:

"The greeter program appears to be crashing. I will attempt to use a different one."

Expected Results:  The graphical greeter should have appeared.

Additional info:

I use my own pictures in KDE desktop.
Comment 1 Jonathan Kamens 2005-07-18 19:35:46 EDT
I just started getting this error when I upgraded all my machine's packages to
current Fedora Core devel.  I didn't change my background or anything like that;
just the upgrade was enough to make the greeter start crashing.  It's
intermittent; sometimes it crashes, and sometimes it doesn't.  I see this
messages in /var/log/messages, which are probably relevant:

Jul 18 18:15:55 jik2 gdmgreeter[3097]: Unexpected greeter command received: '''
Jul 18 18:27:23 jik2 gdmgreeter[5631]: Unexpected greeter command received: 'a'
Jul 18 18:30:49 jik2 gdmgreeter[6428]: Unexpected greeter command received: ''
Jul 18 18:36:34 jik2 gdmgreeter[7484]: Unexpected greeter command received: '4'
Jul 18 18:36:55 jik2 gdmgreeter[7987]: Unexpected greeter command received: 'c'
Jul 18 18:59:05 jik2 gdmgreeter[11616]: Unexpected greeter command received: '['
Comment 2 Christian Iseli 2007-01-22 06:44:37 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ray Strode [halfline] 2007-08-14 11:49:19 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.